define(['jquery', 'underscore', 'backbone'],
    function ($, _, Backbone) {

        var BaseView = function (options) {
            this.subviews = {};
            Backbone.View.call(this, options);
        };

        _.extend(BaseView.prototype, Backbone.View.prototype, {
            // Remove this view by taking the element out of the DOM, and removing any
            // applicable Backbone.Events listeners.
            remove: function () {

                if (!_.isEmpty(this.subviews)) {
                    _.each(this.subviews, function (subview) {
                        subview.remove();
                    });
                    this.subviews = {};
                }

                this.$el.remove();
                this.stopListening();
                return this;
            }
        });

        BaseView.extend = Backbone.View.extend;

        return BaseView;
    });
