// Filename: embed.js

require.config({
  waitSeconds: 0,
  paths: {
    jquery: "bower_components/jquery/dist/jquery.min",
    underscore: "bower_components/lodash/lodash.min",
    backbone: "bower_components/backbone/backbone",
    text: "bower_components/requirejs-text/text",
    handlebars: "bower_components/handlebars/handlebars.min",
    bootstrap: "bower_components/bootstrap/dist/js/bootstrap",
    sprintf: "bower_components/sprintf.js/src/sprintf.min",
    d3: "bower_components/d3/d3.min",
    c3: "bower_components/c3/c3",
    tpls: "build/templates",
    moment: "bower_components/moment/min/moment.min"
  },
  shim: {
    handlebars: {exports: 'Handlebars'},
    d3: {exports: 'd3'},
    c3: {deps: ['d3'], exports: 'c3'},
    bootstrap: {deps: ['jquery']}
  }
});

define(["jquery", "underscore", "backbone", "views/embedapp"],
    function ($, _, Backbone, EmbedApp) {

      // inline definition of router
      var Router = Backbone.Router.extend({
        routes: {
          "chart/:id": "chart"
        },
        chart: function (id) {
          var app = new EmbedApp();
          app.render(id);
        }
      });

      // create new instance of router
      new Router();

      // start backbone history
      Backbone.history.start();
    });
