define(['underscore', 'backbone', 'context'], function (_, Backbone, Context) {
    var Database = Backbone.Model.extend({
        methodUrl: {
            'create': "/schema/db/%(connection)s",
            'delete': '/schema/db/%(connection)s/%(db)s'
        },
        idAttribute: "title",
        sync: function(method, model, options) {
            method = method.toLowerCase();
            
            // databases can't be updated, just created or deleted
            if (method === "update") { method = "create"; }

            if (model.methodUrl && model.methodUrl[method]) {
                options = options || {};
                options.url = model.methodUrl[method].format(Context);
            }
            Backbone.sync(method, model, options);
        }
    });
    return Database;
});