define(['underscore', 'backbone', 'helpers/string'],
    function (_, Backbone, string) {
      var Chart = Backbone.Model.extend({
        url: function () {
          if (this.get('id')) {
            return "/chart/%s".format(this.get("id"));
          }
          return "/chart/create";
        },
        getEmbedURL: function () {
          if (this.get("id")) {
            return this.getBaseURL() + "/embed#/chart/%s".format(this.get("id"));
          }
          return null;
        },
        getBaseURL: function () {
          var location = location || window.location;
          return location.protocol+'//'+location.hostname+(location.port ? ':'+location.port: '');
        },
        parse: function (data) {
          if (data.settings && !_.isObject(data.settings)) {
            try {
              data.settings = JSON.parse(data.settings);
            } catch (e) {
              // probably not json
              console.log("parsing json failed:", e);
            }
          }
          return data;
        },
        defaults: {
          title: "Untitled chart",
          query: null,
          settings: {},
          db: null,
          conn: null
        }
      });
      return Chart;
    });
