define(["backbone", "context"], function (Backbone, Context) {
  var Types = Backbone.Model.extend({
    getCurrentTypeValues: function () {
      return this.get(Context.driver);
    },
    defaults: {
      mysql: [
        "int", "tinyint", "smallint", "mediumint", "bigint", // int
        "float", "double", "decimal", // other numeric
        "date", "datetime", "timestamp", "time", "year", // date
        "char", "varchar", "text", "blob", "tinytext",
        "mediumtext", "longtext", "enum" // string
      ],
      postgresql: [
        "binint", "bigserial", "boolean", "box", "bytea",
        "character", "char", "character varying", "varchar",
        "cidr", "circle", "date", "double precision",
        "float8", "inet", "integer", "int", "int4",
        "interval", "json", "jsonb", "line", "lseg",
        "macaddr", "money", "numeric", "decimal",
        "path", "pg_lsn", "point", "polygon", "real",
        "float4", "smallint", "int2", "smallserial",
        "serial2", "serial", "serial4", "text", "time",
        "timestamp", "tsquery", "tsvector", "txid_snapshot",
        "uuid", "xml"
      ],
      redshift: [
        "smallint", "int2", "integer", "int", "int4", "bigint", "int8",
        "decimal", "numeric", "real", "float4", "double precision",
        "float8", "float", "boolean", "bool", "char", "character",
        "nchar", "bpchar", "varchar", "character varying", "nvarchar",
        "text", "date", "timestamp"
      ]
    }
  });
  return Types;
});