
require.config({
    baseUrl: "../",
    urlArgs: "cb=" + (new Date()).getTime(),
    paths: {
        // bower_components: "../bower_components/",
        jquery: "bower_components/jquery/dist/jquery.min",
        underscore: "bower_components/lodash/dist/lodash.min",
        backbone: "bower_components/backbone/backbone",
        text: "bower_components/requirejs-text/text",
        handlebars: "bower_components/handlebars/handlebars.min",
        squel: "bower_components/squel/squel",
        bootstrap: "bower_components/bootstrap/dist/js/bootstrap",
        sprintf: "bower_components/sprintf.js/src/sprintf.min",
        d3: "bower_components/d3/d3.min",
        c3: "bower_components/c3/c3",
        tpls: "build/templates",
        tabs: "bower_components/jquery-too-many-tabs/toomanytabs",
        grid: "bower_components/sensei-grid/dist/sensei-grid",
        anywhere: "bower_components/sensei-anywhere/src/sensei-anywhere",
        cm: "bower_components/codemirror",
        mousetrap: "bower_components/mousetrap/mousetrap.min",
        cookiesjs: "bower_components/cookies-js/dist/cookies",
        boot: "bower_components/jasmine/lib/jasmine-core/boot",
        spec: "tests/spec"
    },
    shim: {
        handlebars: {exports: 'Handlebars'},
        cm: {exports: 'CodeMirror'},
        d3: {exports: 'd3'},
        c3: {deps: ['d3'], exports: 'c3'},
        bootstrap: {deps: ['jquery']},
        grid: {deps: ['jquery', 'underscore']},
        anywhere: {deps: ['jquery', 'underscore', 'mousetrap']}
    }
});

var specs = [
    'spec/models/connection',
    'spec/models/table',
    'spec/models/table/meta',
    'spec/models/query/filter/sorting',
    'spec/models/query/filter/condition',
    'spec/models/query',
    'spec/collections/tables',
    'spec/collections/databases',
    'spec/context',
    'spec/views/connections',
    'spec/views/sidebar'
];

require(['boot', 'jquery'], function () {
    require(specs, function () {
        var TeamcityReporter = jasmineRequire.TeamcityReporter();
        window.teamcityReporter = new TeamcityReporter();
        jasmine.getEnv().addReporter(window.teamcityReporter);
        window.onload();
    });
});
