define([ 'jquery', 'underscore', 'backbone', 'tpls', 'events'],
    function ($, _, Backbone, Templates, Events) {
        var ChartListItem = Backbone.View.extend({
            tagName: "li",
            template: Templates["content/output/viz/chart_list_item"],
            events: {
                'click a': 'loadChart'
            },
            render: function () {
                this.$el.html(this.template(this.model.toJSON()));
                return this;
            },
            loadChart: function (e) {
                e.preventDefault();
                Events.trigger("chart:load", this.model);
            }
        });
        return ChartListItem;
    });